body {
    background: #f7f8fa;
    font-family: Arial, sans-serif;
}

.container {
    width: 90%;
    max-width: 420px;
    margin: 60px auto;
    text-align: center;
}

.logo {
    width: 140px;
    margin-bottom: 25px;
}

h2 {
    font-size: 24px;
    color: #333;
}

.sub {
    color: #666;
    margin-bottom: 35px;
}

.lbl {
    display: block;
    text-align: left;
    color: #333;
    font-size: 14px;
    margin-bottom: 5px;
}

input {
    width: 100%;
    padding: 14px;
    border: 1px solid #ddd;
    border-radius: 12px;
    outline: none;
    font-size: 16px;
    margin-bottom: 20px;
    background: #fff;
}

button {
    width: 100%;
    padding: 15px;
    background: #f0147d;
    color: white;
    font-size: 17px;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    margin-bottom: 25px;
    transition: 0.2s;
}

button:hover {
    opacity: 0.9;
}

.rodape {
    font-size: 14px;
    color: #666;
    margin-top: 15px;
}
/* 🔵 animação typing igual WhatsApp */
.typing {
    display: flex;
    gap: 4px;
}

.typing span {
    width: 6px;
    height: 6px;
    background: #888;
    border-radius: 50%;
    animation: blink 1.4s infinite both;
}

.typing span:nth-child(2) {
    animation-delay: 0.2s;
}

.typing span:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes blink {
    0% { opacity: .2; }
    20% { opacity: 1; }
    100% { opacity: .2; }
}
